[arch-commits] Commit in xorg-server/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri Oct 17 17:15:36 EDT 2008


    Date: Friday, October 17, 2008 @ 17:15:35
  Author: jgc
Revision: 15719

Merged revisions 15718 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xorg-server/trunk

........
  r15718 | jgc | 2008-10-17 23:14:49 +0200 (Fri, 17 Oct 2008) | 2 lines
  
  upgpkg: xorg-server 1.5.2-2
      Rename and symlink some files for future versions of catalyst
........

Modified:
  xorg-server/repos/testing-i686/	(properties)
  xorg-server/repos/testing-i686/PKGBUILD
  xorg-server/repos/testing-i686/xorg-server.install

---------------------+
 PKGBUILD            |    5 ++++-
 xorg-server.install |   15 +++++++++++++--
 2 files changed, 17 insertions(+), 3 deletions(-)


Property changes on: xorg-server/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /xorg-server/trunk:1-15042
   + /xorg-server/trunk:1-15718

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-10-17 21:14:49 UTC (rev 15718)
+++ testing-i686/PKGBUILD	2008-10-17 21:15:35 UTC (rev 15719)
@@ -4,7 +4,7 @@
 
 pkgname=xorg-server
 pkgver=1.5.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X.Org X servers"
 arch=('i686' 'x86_64')
 license=('custom')
@@ -82,6 +82,9 @@
   mv "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so" \
      "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg" || return 1
 
+  mv "${pkgdir}/usr/lib/xorg/modules/extensions/libdri.so" \
+     "${pkgdir}/usr/lib/xorg/modules/extensions/libdri.xorg" || return 1
+
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }

Modified: testing-i686/xorg-server.install
===================================================================
--- testing-i686/xorg-server.install	2008-10-17 21:14:49 UTC (rev 15718)
+++ testing-i686/xorg-server.install	2008-10-17 21:15:35 UTC (rev 15719)
@@ -1,6 +1,12 @@
 post_install() {
-  rm -f /usr/lib/xorg/modules/libwfb.so
-  ln -sf libwfb.so.1.4 /usr/lib/xorg/modules/libwfb.so
+  rm -f usr/lib/xorg/modules/libwfb.so
+  ln -sf libwfb.so.1.4 usr/lib/xorg/modules/libwfb.so
+
+  # If the symlink is dead or non-existent, remove it and make a new one
+  if [ ! -e usr/lib/xorg/modules/extensions/libdri.so ]; then
+    rm -f usr/lib/xorg/modules/extensions/libdri.so
+    ln -sf libglx.xorg usr/lib/xorg/modules/extensions/libdri.so
+  fi
 }
 
 post_upgrade() {
@@ -9,4 +15,9 @@
 
 post_remove() {
   rm -f /usr/lib/xorg/modules/libwfb.so
+
+  # If the symlink is dead, remove it
+  if [ ! -e usr/lib/xorg/modules/extensions/libdri.so ]; then
+    rm -f usr/lib/xorg/modules/extensions/libdri.so
+  fi
 }




More information about the arch-commits mailing list